Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Interface FirebirdRowUpdater

@InternalApi public sealed interface FirebirdRowUpdater
Interface for the clean separation of the classes between result set and corresponding row updater.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancelRowUpdates()`
  `void`
  `close()`
  `void`
  `deleteRow()`
  `FBField`
  `getField(int fieldPosition)`
  `RowValue`
  `getInsertRow()`
  `RowValue`
  `getNewRow()`
  `RowValue`
  `getOldRow()`
  `void`
  `insertRow()`
  `void`
  `moveToCurrentRow()`
  `void`
  `moveToInsertRow()`
  `void`
  `refreshRow()`
  `void`
  `setRow(RowValue row)`
  `void`
  `updateRow()`

- ## Method Details

  - ### cancelRowUpdates

    void cancelRowUpdates() throws SQLException
    Throws:
      `SQLException`

  - ### updateRow

    void updateRow() throws SQLException
    Throws:
      `SQLException`

  - ### deleteRow

    void deleteRow() throws SQLException
    Throws:
      `SQLException`

  - ### insertRow

    void insertRow() throws SQLException
    Throws:
      `SQLException`

  - ### refreshRow

    void refreshRow() throws SQLException
    Throws:
      `SQLException`

  - ### moveToInsertRow

    void moveToInsertRow() throws SQLException
    Throws:
      `SQLException`

  - ### moveToCurrentRow

    void moveToCurrentRow() throws SQLException
    Throws:
      `SQLException`

  - ### getNewRow

    RowValue getNewRow() throws SQLException
    Throws:
      `SQLException`

  - ### getInsertRow

    RowValue getInsertRow() throws SQLException
    Throws:
      `SQLException`

  - ### getOldRow

    RowValue getOldRow() throws SQLException
    Throws:
      `SQLException`

  - ### setRow

    void setRow(RowValue row) throws SQLException
    Throws:
      `SQLException`

  - ### getField

    FBField getField(int fieldPosition) throws SQLException
    Throws:
      `SQLException`

  - ### close

    void close() throws SQLException
    Throws:
      `SQLException`